#ifndef ctexturemanager_h
#define ctexturemanager_h

#include "cTextureImage.h"

class cTextureManager
{
public:
    static cTextureManager* instance();    
    
    void bindGemTexture();
    void bindExploderTexture();
	void bindBGTexture();
    
    void unbindTexture();
    
private:
    
    cTextureImage gemTexture_;
    cTextureImage exploderTexture_;
    cTextureImage bgTexture_;

	cTextureImage* boundTexture_;
    
    
    // singleton constructor does nothing
    cTextureManager(); 
    // singleton instance
    static cTextureManager* instance_;
};

#endif
